Bug 1021105 - [abrt] gnome-shell-3.8.4-2.fc19: g_slist_find: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.8.4-2.fc19: g_slist_find: Process /usr/bin/gnome-shell w...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:7f2782a63611c3465a7dad902bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 08:34 EDT by Thomas Neuber
Modified: 2014-12-05 12:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-05 12:56:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.90 KB, text/plain)
2013-10-19 08:34 EDT, Thomas Neuber
no flags Details
File: cgroup (142 bytes, text/plain)
2013-10-19 08:34 EDT, Thomas Neuber
no flags Details
File: core_backtrace (45.62 KB, text/plain)
2013-10-19 08:34 EDT, Thomas Neuber
no flags Details
File: dso_list (23.57 KB, text/plain)
2013-10-19 08:35 EDT, Thomas Neuber
no flags Details
File: environ (1.65 KB, text/plain)
2013-10-19 08:35 EDT, Thomas Neuber
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-19 08:35 EDT, Thomas Neuber
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-19 08:35 EDT, Thomas Neuber
no flags Details
File: maps (95.79 KB, text/plain)
2013-10-19 08:35 EDT, Thomas Neuber
no flags Details
File: open_fds (2.01 KB, text/plain)
2013-10-19 08:35 EDT, Thomas Neuber
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2013-10-19 08:35 EDT, Thomas Neuber
no flags Details
File: var_log_messages (24.56 KB, text/plain)
2013-10-19 08:35 EDT, Thomas Neuber
no flags Details

  None (edit)
Description Thomas Neuber 2013-10-19 08:34:45 EDT
Version-Release number of selected component:
gnome-shell-3.8.4-2.fc19

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_slist_find
executable:     /usr/bin/gnome-shell
kernel:         3.11.4-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_slist_find at gslist.c:727
 #1 g_object_notify_queue_add at gobject.c:305
 #2 object_set_property at gobject.c:1363
 #3 g_object_constructor at gobject.c:1869
 #5 g_object_new_valist at gobject.c:1836
 #7 gdk_pixbuf_new_from_data at gdk-pixbuf-data.c:64
 #8 gtk_icon_info_load_icon at gtkicontheme.c:3601
 #9 gtk_icon_info_load_icon_finish at gtkicontheme.c:3724
 #10 on_icon_loaded at st/st-texture-cache.c:657
 #11 g_task_return_now at gtask.c:1105

Potential duplicate: bug 1020058
Comment 1 Thomas Neuber 2013-10-19 08:34:49 EDT
Created attachment 813973 [details]
File: backtrace
Comment 2 Thomas Neuber 2013-10-19 08:34:52 EDT
Created attachment 813974 [details]
File: cgroup
Comment 3 Thomas Neuber 2013-10-19 08:34:56 EDT
Created attachment 813975 [details]
File: core_backtrace
Comment 4 Thomas Neuber 2013-10-19 08:35:00 EDT
Created attachment 813976 [details]
File: dso_list
Comment 5 Thomas Neuber 2013-10-19 08:35:04 EDT
Created attachment 813977 [details]
File: environ
Comment 6 Thomas Neuber 2013-10-19 08:35:07 EDT
Created attachment 813978 [details]
File: exploitable
Comment 7 Thomas Neuber 2013-10-19 08:35:11 EDT
Created attachment 813979 [details]
File: limits
Comment 8 Thomas Neuber 2013-10-19 08:35:16 EDT
Created attachment 813980 [details]
File: maps
Comment 9 Thomas Neuber 2013-10-19 08:35:19 EDT
Created attachment 813981 [details]
File: open_fds
Comment 10 Thomas Neuber 2013-10-19 08:35:23 EDT
Created attachment 813982 [details]
File: proc_pid_status
Comment 11 Thomas Neuber 2013-10-19 08:35:27 EDT
Created attachment 813983 [details]
File: var_log_messages
Comment 12 Jens Timmerman 2013-10-21 05:13:01 EDT
gnome-shell hangs.

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_slist_find
executable:     /usr/bin/gnome-shell
kernel:         3.11.4-201.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Thomas Neuber 2013-10-21 11:40:20 EDT
I did the following steps:

1. I clicked on "Activities".

2. I clicked on the icon "Show applications" on the toolbar that appeared on the left. The gnome shells shows the list of recently used apps.

3. I clicked on the button "All" at the bottom.

The shells crashed and restarted automatically.

It tried the downgrade to gnome-shell 3.8.3. That behaves in the same way.
Comment 14 Jens Timmerman 2013-10-21 12:17:27 EDT
Happened to me when pressing the meta key, and typing "ge"

The gedit logo appears (but sometimes not, it can show gedit without a logo, depending on how fast I type) and then gnome-shell crashes.

I can still reproduce this.
Comment 15 Brian Monroe 2013-10-21 23:11:42 EDT
(In reply to Thomas Neuber from comment #13)
> I did the following steps:
> 
> 1. I clicked on "Activities".
> 
> 2. I clicked on the icon "Show applications" on the toolbar that appeared on
> the left. The gnome shells shows the list of recently used apps.
> 
> 3. I clicked on the button "All" at the bottom.
> 
> The shells crashed and restarted automatically.
> 
> It tried the downgrade to gnome-shell 3.8.3. That behaves in the same way.

I'm getting the same issues, including whenever I press the meta key. Ironically it's working fine when I log in as root through the session manager at the login screen.
Comment 16 Brian Monroe 2013-10-21 23:24:07 EDT
I've since created a new user and the bug is not present in the new settings at this point.
Comment 17 Thomas Neuber 2013-10-22 11:00:32 EDT
I tried both alternatives from comment #15 and comment #16. It crashed in both cases.
Comment 18 Thomas Neuber 2013-11-04 14:21:23 EST
In the last days the system performance degraded more and more. I was shocked about sys log that grew between 20 and 350 MB per day. There tons of critical clutter messages (see bug #957363).

As a consequence I uninstalled the following packages:
- gnome-classic-session
- gnome-shell-extension-alternate-tab
- gnome-shell-extension-apps-menu
- gnome-shell-extension-common
- gnome-shell-extension-launch-new-instance
- gnome-shell-extension-places-menu
- gnome-shell-extension-window-list

A now I cannot reproduce that issue anymore.

Note You need to log in before you can comment on or make changes to this bug.